/*{**************************************************************************
  XMBFileIO.h  -  description
  -------------------
begin                : Fri Jul 21 2006
copyright            : (C) 2006 by ImazInatIon
email                : revanth_nr@students.iiit.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *************************************************************************}*/

#include <iostream>
#include "XMBAtom.h"
#include "XMBBond.h"
#include "XMBMolecule.h"

#ifndef XMBFILEIO_H
#define XMBFILEIO_H

class XMBFileIO {

	public:

		int atomsCount, bondsCount;
		XMBAtom **atomsArr;
		XMBBond ***bondsArr;

		XMBFileIO();
		~XMBFileIO();

		int getIndex( XMBAtom *atom);

		void writeMolecule( QTextStream &s, XMBMolecule *molecule, QCanvas *canvas);

		void writeWorkspace( QTextStream &s, QCanvas *canvas);

		bool readWorkspace( QTextStream &s, XMoleculeBuilderDoc *doc, bool locked=0);
};

#endif
