/***************************************************************************
                          XMBMolecule.cpp  -  description
                             -------------------
    begin                : Fri Jul 21 2006
    copyright            : (C) 2006 by ImazInatIon
    email                : revanth_nr@students.iiit.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "XMBMolecule.h"

// constructor
XMBMolecule::XMBMolecule(){

	atomsCount = 0;
}

// destructor
XMBMolecule::~XMBMolecule(){
}

// add atom
void XMBMolecule::addAtom( XMBAtom *a){

	atomsCount++;
	atoms.insert(0, a);
}

// remove atom
bool XMBMolecule::removeAtom( XMBAtom *a ){

	atomsCount--;
	atoms.remove(a);
	return (atomsCount == 0 );
}

// get Atoms count
int XMBMolecule::getAtomsCount(void){
	return atoms.count();
}

// get Atom
XMBAtom *XMBMolecule::getAtom(int index){
	return atoms.take(index);
}
