/***************************************************************************
  xmoleculebuilderdoc.h  -  description
  -------------------
 begin                : Fri Jul 21 18:57:53 IST 2006
 copyright            : (C) |2006| by Revanth
 email                : revanth_nr@students.iiit.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef XMOLECULEBUILDERDOC_H
#define XMOLECULEBUILDERDOC_H

// include files for QT
#include <qobject.h>


#include <qcanvas.h>
// application specific includes
#include "xmoleculebuilder.h"
#include "xmoleculebuilderview.h"
#include "XMBAtom.h"
#include "XMBMolecule.h"

/**
 * the Document Class
 */

class XMoleculeBuilderDoc : public QObject
{
	Q_OBJECT

	public:
		XMoleculeBuilderDoc();
		~XMoleculeBuilderDoc();
		void newDoc();
		bool save();
		bool saveAs(const QString &filename);
		bool load(const QString &filename, bool locked=0);
		bool isModified() const;

	signals:
		void documentChanged();
	public:
		QCanvas *canvas;
		QString docName;
	protected:
		bool modified;
};

#endif
