/*{*************************************************************************
                          XMBMolecule.h  -  description
                             -------------------
    begin                : Fri Jul 21 2006
    copyright            : (C) 2006 by ImazInatIon
    email                : revanth_nr@students.iiit.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *************************************************************************}*/

#ifndef XMBMOLECULE_H
#define XMBMOLECULE_H

#include <qstring.h>
#include <qptrlist.h>
class XMBAtom;


/**
 *@author Revanth
 */

class XMBMolecule {
	public:
		QString moleculeName;
		QString authorName;
		int moleculeNum;

		XMBMolecule();
		~XMBMolecule();

		// add atom
		void addAtom(XMBAtom *a);
		bool removeAtom(XMBAtom *a);

		// get Atoms count
		int getAtomsCount(void);
		// get Atoms
		XMBAtom *getAtom(int index);

	private:
		QPtrList<XMBAtom> atoms;
		int atomsCount;
};

#endif
