/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fri Jul 21 18:57:53 IST 2006
    copyright            : (C) |2006| by Revanth
    email                : revanth_nr@students.iiit.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
#include <qsessionmanager.h>

#include "xmoleculebuilder.h"

#include <iostream>
using namespace std;

int main(int argc, char *argv[])
{
//	printf("%d\n",argc);
	QApplication a(argc, argv);
//	QSessionManager session(a,QString("xmb"),QString("xmb"));
	a.setFont(QFont("helvetica", 12));
	QTranslator tor( 0 );
	// set the location where your .qm files are in load() below as the last parameter instead of "."
	// for development, use "/" to use the english original as
	// .qm files are stored in the base project directory.
	tor.load( QString("xmoleculebuilder.") + QTextCodec::locale(), "." );
	a.installTranslator( &tor );

	XMoleculeBuilderApp *xmoleculebuilder=new XMoleculeBuilderApp();
	a.setMainWidget(xmoleculebuilder);

	xmoleculebuilder->show();

	return a.exec();
//	a.saveState(session);
}
